package com.dbs.mplus.fatima.framework.processor.msg;

import com.dbs.mplus.fatima.framework.MPlusFrameworkConstants;

import java.util.List;
import java.util.Map;

/**
 * Created by dbs on 2016-10-26.
 */

public class ConsentSignMessage extends CommandMessage {

    // 사용자 아이디
    private String userId;

    private List<Map<String, String>> consentSignMapList;

    /**
     *
     * @param function
     * @param valueMap
     * @param userId
     * @param consentSignMapList
     */
    public ConsentSignMessage(MPlusFrameworkConstants.MSG_FUNCTION_TYPE function, Map<String, String> valueMap, String userId, List<Map<String, String>> consentSignMapList) {
        super(function, valueMap);
        this.userId = userId;
        this.consentSignMapList = consentSignMapList;
    }

    public List<Map<String, String>> getConsentSignMapList() {
        return consentSignMapList;
    }

    public String getUserId() {
        return userId;
    }
}
